/*
** Module   : BoxInterface
** Abstract : Define methods for accessing BOX attribute available via a widget handle instance
**
** Copyright (c) 2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --JPRM-- ----------------------------Description-----------------------------
** 001 IAS 20150330        Created initial version.
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

public interface BoxInterface
{
   /**
    * Get the value of the BOX attribute
    *
    * @return   the value of the attribute
    */
   @LegacyAttribute(name = "BOX")
   public logical isBox();
   
   /**
    * Set the value of the BOX attribute
    *
    * @param   value
    *          the new value of the attribute
    */
   @LegacyAttribute(name = "BOX", setter = true)
   public void setBox(logical value);

   /**
    * Set the value of the BOX attribute
    *
    * @param   value
    *          the new value of the attribute
    */
   @LegacyAttribute(name = "BOX", setter = true)
   public void setBox(boolean value);
}
